> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Images



## OpenAPI

````yaml api-reference/gpus-v2-spec/list-image.json GET /gpus/v2/images
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/images:
    get:
      summary: List Images
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: type
          in: query
          required: false
          schema:
            type: string
            enum:
              - base
              - community
              - private
          description: >-
            Filter by image type. Allowed values: `base`, `community`,
            `private`. Use an empty string to skip filtering.
          example: private
        - name: name
          in: query
          required: false
          schema:
            type: string
          description: 'Filter by image name. String, length: 0-255 characters.'
          example: pytorch
        - name: limit
          in: query
          required: false
          schema:
            type: integer
          description: Maximum number of items to return. Integer, value >= 0.
          example: 10
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: >-
            Cursor returned by the previous page. Leave empty for the first
            request. String, length: 0-1024 characters.
          example: eyJpZCI6ImltYWdlLWlkIn0=
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    description: Image list
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Image ID
                          example: image-id
                        name:
                          type: string
                          description: Image name
                          example: pytorch
                        image:
                          type: string
                          description: Image identifier
                          example: registry.example.com/base/pytorch
                        type:
                          type: string
                          enum:
                            - base
                            - community
                            - private
                          description: >-
                            Image type. Allowed values: `base`, `community`,
                            `private`
                          example: private
                        status:
                          type: object
                          description: Image status
                          properties:
                            status:
                              type: string
                              enum:
                                - unknown
                                - normal
                                - hide
                                - disable
                                - creating
                                - deleting
                              description: >-
                                Status value. Allowed values: `unknown`
                                (Unknown), `normal` (Available), `hide`
                                (Hidden), `disable` (Disabled), `creating`
                                (Creating), `deleting` (Deleting)
                              example: normal
                            error:
                              type: string
                              description: Error code or error type
                              example: ''
                            message:
                              type: string
                              description: Status description or error message
                              example: ''
                        created_at:
                          type: integer
                          description: Creation time. Unix timestamp
                          example: 1714982400
                        tags:
                          type: array
                          description: Image tag list
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Tag ID
                                example: tag-id
                              tag:
                                type: string
                                description: Image tag
                                example: 2.3.0-cuda12.1
                              owner_id:
                                type: string
                                description: Owner user ID
                                example: 550e8400-e29b-41d4-a716-446655440000
                              full_image_name:
                                type: string
                                description: Fully qualified image name for this tag
                                example: >-
                                  registry.example.com/base/pytorch:2.3.0-cuda12.1
                  next_cursor:
                    type: string
                    description: >-
                      Cursor for the next page. Empty string when there is no
                      more data
                    example: eyJpZCI6Im5leHQtcGFnZSJ9
                  has_more:
                    type: boolean
                    description: Whether more data is available
                    example: true

````